Page MenuHomePhabricator

tests: adjust to the new format in pyflakes output
ClosedPublic

Authored by marmoute on Jun 13 2020, 5:07 AM.

Details

Summary

According to the pyflakes' NEWS.rst, the default output format changed
recently:

2.2.0 (2020-04-08)
- Include column information in error messages

So the lines now read:

contrib/perf.py:149:15 undefined name 'xrange'
mercurial/hgweb/server.py:427:13 undefined name 'reload'
mercurial/util.py:2862:24 undefined name 'file'

This is a graft of a similar fix that ended up on default.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Jun 13 2020, 5:07 AM
pulkit accepted this revision.Jun 15 2020, 4:33 AM
This revision is now accepted and ready to land.Jun 15 2020, 4:33 AM
This revision was automatically updated to reflect the committed changes.